#include <stdio.h>
#include <stdint.h>

int main() {
    FILE *file = fopen("hex.txt", "wb"); // Open the file in binary write mode
    if (file == NULL) {
        perror("Error opening file");
        return 1;
    }

    int32_t number = 0xBEEFBEEF; // Define the number as a 32-bit integer
    
    // Write the integer to the file
    size_t written = fwrite(&number, sizeof(int32_t), 1, file);
    if (written == 0) {
        perror("Error writing to file");
        fclose(file);
        return 1;
    }

    fclose(file); // Close the file
    printf("Number written successfully to file.\n");

    return 0;
}

