#include <stdio.h>
#include <stdint.h>
#include <string.h>

int main() {
    FILE *file = fopen("str.txt", "wb"); // Open the file in binary write mode
    if (file == NULL) {
        perror("Error opening file");
        return 1;
    }
    
    char *str = "Everything is an abstraction...";

    // Write the integer to the file
    size_t written = fwrite(str, sizeof(char), strlen(str), file);
    if (written != 1) {
        perror("Error writing to file");
        fclose(file);
        return 1;
    }

    fclose(file); // Close the file
    printf("Number written successfully to file.\n");

    return 0;
}

